Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.blog.database
Class DatabaseBlog

    java.lang.Object
      org.blojsom.blog.database.DatabaseBlog

All Implemented Interfaces:
  Blog, java.io.Serializable

public class DatabaseBlog
extends java.lang.Object
implements Blog, java.io.Serializable

DatabaseBlog

Since:
  blojsom 3.0
Version:
  $Id: DatabaseBlog.java,v 1.3 2006/04/20 21:53:53 czarneckid Exp $
Author:
  David Czarnecki
See Also:
  Serialized Form

Constructor Summary
`DatabaseBlog()` Create a new instance of the database blog

Method Summary
`java.util.Locale` | `getBlogAdministrationLocale()` Retrieve the blog administration locale as a `Locale` object
`java.lang.String` | `getBlogAdministrationLocaleAsString()` Retrieve the blog administration locale as a String
`java.lang.String` | `getBlogAdminURL()` Admin URL for the blog
`java.lang.String` | `getBlogBaseURL()` Base URL for the blog
`java.lang.Boolean` | `getBlogCommentsEnabled()` Return whether or not comments are enabled
`java.lang.String` | `getBlogCountry()` Country of the blog
`java.lang.String` | `getBlogDefaultFlavor()` Get the default flavor for this blog
`java.lang.String` | `getBlogDescription()` Description of the blog
`int` | `getBlogDisplayEntries()` Return the number of blog entries to retrieve from the individual categories
`java.lang.Boolean` | `getBlogEmailEnabled()` Get whether or not email is enabled
`java.lang.String` | `getBlogId()` Retrieve the blog ID
`java.lang.String` | `getBlogLanguage()` Language of the blog
`java.util.Locale` | `getBlogLocale()` Retrive a `Locale` object from the blog's language and country settings
`java.lang.String` | `getBlogName()` Name of the blog
`java.lang.String` | `getBlogOwner()` Return the blog owner's name
`java.lang.String` | `getBlogOwnerEmail()` Return the blog owner's e-mail address
`java.lang.Boolean` | `getBlogPingbacksEnabled()` Return whether or not pingbacks are enabled
`java.lang.Boolean` | `getBlogTrackbacksEnabled()` Return whether or not trackbacks are enabled
`java.lang.String` | `getBlogURL()` URL for the blog
`java.lang.String` | `getDigestAlgorithm()` Retrieve the in-use password digest algorithm
`java.lang.String` | `getEscapedBlogDescription()` Returns the HTML escaped description of the blog
`java.lang.String` | `getEscapedBlogName()` Returns the HTML escaped name of the blog
`java.lang.Boolean` | `getLinearNavigationEnabled()` Is linear navigation enabled?
`java.util.Map` | `getPlugins()` Get a map of the plugins
`java.util.Map` | `getProperties()` Get the properties for the blog
`java.lang.String` | `getProperty(java.lang.String property)` Get a named property
`java.lang.String` | `getProperty(java.lang.String property, java.lang.String fallback, boolean allowNullBlank)` Get a named property from the blog
`java.util.Map` | `getTemplates()` Get a map of the templates
`java.lang.Boolean` | `getUseEncryptedPasswords()` Retrieve whether or not MD5 encrypted passwords are used
`java.lang.Boolean` | `getXmlrpcEnabled()` Is XML-RPC enabled for this blog?
`void` | `setAdminBlogURL(java.lang.String blogAdminURL)` Set the new admin URL for the blog
`void` | `setBlogAdministrationLocale(java.lang.String blogAdministrationLocale)` Set the locale used in the administration console
`void` | `setBlogAdminURL(java.lang.String blogAdminURL)` Set the new admin URL for the blog
`void` | `setBlogBaseURL(java.lang.String blogBaseURL)` Set the new base URL for the blog
`void` | `setBlogCommentsEnabled(java.lang.Boolean blogCommentsEnabled)` Set whether blog comments are enabled
`void` | `setBlogCountry(java.lang.String blogCountry)` Set the new 2 letter country code for the blog
`void` | `setBlogDefaultFlavor(java.lang.String blogDefaultFlavor)` Set the new default flavor for this blog
`void` | `setBlogDescription(java.lang.String blogDescription)` Set the new description for the blog
`void` | `setBlogDisplayEntries(int blogDisplayEntries)` Set the number of entries to display at one time, where -1 indicates to display all entries
`void` | `setBlogEmailEnabled(java.lang.Boolean blogEmailEnabled)` Set whether emails are sent on blog comments and trackbacks
`void` | `setBlogId(java.lang.String blogID)` Set the blog ID
`void` | `setBlogLanguage(java.lang.String blogLanguage)` Set the new 2 letter language code for the blog
`void` | `setBlogName(java.lang.String blogName)` Set the new name for the blog
`void` | `setBlogOwner(java.lang.String blogOwner)` Set the new blog owner name
`void` | `setBlogOwnerEmail(java.lang.String blogOwnerEmail)` Set the new blog owner e-mail address
`void` | `setBlogPingbacksEnabled(java.lang.Boolean blogPingbacksEnabled)` Set whether blog pingbacks are enabled
`void` | `setBlogTrackbacksEnabled(java.lang.Boolean blogTrackbacksEnabled)` Set whether blog trackbacks are enabled
`void` | `setBlogURL(java.lang.String blogURL)` Set the new URL for the blog
`void` | `setDigestAlgorithm(java.lang.String digestAlgorithm)` Set the in-use password digest algorithm
`void` | `setLinearNavigationEnabled(java.lang.Boolean linearNavigationEnabled)` Set whether or not linear navigation should be enabled
`void` | `setPlugins(java.util.Map plugins)` Set the plugins
`void` | `setProperties(java.util.Map properties)` Set the properties for the blog
`void` | `setProperty(java.lang.String name, java.lang.String value)` Set a property for the blog
`void` | `setTemplates(java.util.Map templates)` Set the templates
`void` | `setUseEncryptedPasswords(java.lang.Boolean useEncryptedPasswords)` Set whether or not MD5 encrypted passwords are used
`void` | `setXmlrpcEnabled(java.lang.Boolean xmlrpcEnabled)` Set whether or not XML-RPC is enabled

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseBlog

    public DatabaseBlog()

  Create a new instance of the database blog

Method Detail

### getBlogId

    public java.lang.String getBlogId()

  Retrieve the blog ID

  Specified by:
    `getBlogId` in interface `Blog`
  Returns:
    Blog ID

### setBlogId

    public void setBlogId(java.lang.String blogID)

  Set the blog ID

  Specified by:
    `setBlogId` in interface `Blog`
  Parameters:
    `blogID` - Blog ID

### getTemplates

    public java.util.Map getTemplates()

  Get a map of the templates

  Specified by:
    `getTemplates` in interface `Blog`
  Returns:
    Map of the templates

### setTemplates

    public void setTemplates(java.util.Map templates)

  Set the templates

  Specified by:
    `setTemplates` in interface `Blog`
  Parameters:
    `templates` - Map of the templates

### getPlugins

    public java.util.Map getPlugins()

  Get a map of the plugins

  Specified by:
    `getPlugins` in interface `Blog`
  Returns:
    Map of the plugins

### setPlugins

    public void setPlugins(java.util.Map plugins)

  Set the plugins

  Specified by:
    `setPlugins` in interface `Blog`
  Parameters:
    `plugins` - Plugins

### getProperties

    public java.util.Map getProperties()

  Get the properties for the blog

  Specified by:
    `getProperties` in interface `Blog`
  Returns:
    Properties for the blog

### setProperties

    public void setProperties(java.util.Map properties)

  Set the properties for the blog

  Specified by:
    `setProperties` in interface `Blog`
  Parameters:
    `properties` - Blog properties

### getProperty

    public java.lang.String getProperty(java.lang.String property)

  Get a named property

  Specified by:
    `getProperty` in interface `Blog`
  Parameters:
    `property` - Property name
  Returns:
    Value of property

### getProperty

    public java.lang.String getProperty(java.lang.String property,
                                        java.lang.String fallback,
                                        boolean allowNullBlank)

  Get a named property from the blog

  Specified by:
    `getProperty` in interface `Blog`
  Parameters:
    `property` - Name
    `fallback` - Fallback value
    `allowNullBlank` - Use the fallback property if `allowNullBlank` is `false`
  Returns:
    Value of the property

### getBlogName

    public java.lang.String getBlogName()

  Name of the blog

  Specified by:
    `getBlogName` in interface `Blog`
  Returns:
    Blog name

### getEscapedBlogName

    public java.lang.String getEscapedBlogName()

  Returns the HTML escaped name of the blog

  Specified by:
    `getEscapedBlogName` in interface `Blog`
  Returns:
    Name of the blog that has been escaped

### getBlogDescription

    public java.lang.String getBlogDescription()

  Description of the blog

  Specified by:
    `getBlogDescription` in interface `Blog`
  Returns:
    Blog description

### getEscapedBlogDescription

    public java.lang.String getEscapedBlogDescription()

  Returns the HTML escaped description of the blog

  Specified by:
    `getEscapedBlogDescription` in interface `Blog`
  Returns:
    Description of the blog that has been escaped

### getBlogURL

    public java.lang.String getBlogURL()

  URL for the blog

  Specified by:
    `getBlogURL` in interface `Blog`
  Returns:
    Blog URL

### getBlogAdminURL

    public java.lang.String getBlogAdminURL()

  Admin URL for the blog

  Specified by:
    `getBlogAdminURL` in interface `Blog`
  Returns:
    Blog admin URL

### getBlogBaseURL

    public java.lang.String getBlogBaseURL()

  Base URL for the blog

  Specified by:
    `getBlogBaseURL` in interface `Blog`
  Returns:
    Blog base URL

### getBlogLanguage

    public java.lang.String getBlogLanguage()

  Language of the blog

  Specified by:
    `getBlogLanguage` in interface `Blog`
  Returns:
    Blog language

### getBlogCountry

    public java.lang.String getBlogCountry()

  Country of the blog

  Specified by:
    `getBlogCountry` in interface `Blog`
  Returns:
    Country for the blog

### getBlogDisplayEntries

    public int getBlogDisplayEntries()

  Return the number of blog entries to retrieve from the individual categories

  Specified by:
    `getBlogDisplayEntries` in interface `Blog`
  Returns:
    Blog entries to retrieve from the individual categories

### getBlogOwnerEmail

    public java.lang.String getBlogOwnerEmail()

  Return the blog owner's e-mail address

  Specified by:
    `getBlogOwnerEmail` in interface `Blog`
  Returns:
    Blog owner's e-mail

### getBlogOwner

    public java.lang.String getBlogOwner()

  Return the blog owner's name

  Specified by:
    `getBlogOwner` in interface `Blog`
  Returns:
    Blog owner's name

### getBlogCommentsEnabled

    public java.lang.Boolean getBlogCommentsEnabled()

  Return whether or not comments are enabled

  Specified by:
    `getBlogCommentsEnabled` in interface `Blog`
  Returns:
    Whether or not comments are enabled

### getBlogTrackbacksEnabled

    public java.lang.Boolean getBlogTrackbacksEnabled()

  Return whether or not trackbacks are enabled

  Specified by:
    `getBlogTrackbacksEnabled` in interface `Blog`
  Returns:
    `true` if trackbacks are enabled, `false` otherwise

### getBlogPingbacksEnabled

    public java.lang.Boolean getBlogPingbacksEnabled()

  Return whether or not pingbacks are enabled

  Specified by:
    `getBlogPingbacksEnabled` in interface `Blog`
  Returns:
    `true` if pingbacks are enabled, `false` otherwise

### getBlogEmailEnabled

    public java.lang.Boolean getBlogEmailEnabled()

  Get whether or not email is enabled

  Specified by:
    `getBlogEmailEnabled` in interface `Blog`
  Returns:
    Whether or not email is enabled

### getBlogDefaultFlavor

    public java.lang.String getBlogDefaultFlavor()

  Get the default flavor for this blog

  Specified by:
    `getBlogDefaultFlavor` in interface `Blog`
  Returns:
    Default blog flavor

### getLinearNavigationEnabled

    public java.lang.Boolean getLinearNavigationEnabled()

  Is linear navigation enabled?

  Specified by:
    `getLinearNavigationEnabled` in interface `Blog`
  Returns:
    `true` if linear navigation is enabled, `false` otherwise

### getXmlrpcEnabled

    public java.lang.Boolean getXmlrpcEnabled()

  Is XML-RPC enabled for this blog?

  Specified by:
    `getXmlrpcEnabled` in interface `Blog`
  Returns:
    `true` if XML-RPC is enabled, `false` otherwise

### getBlogAdministrationLocaleAsString

    public java.lang.String getBlogAdministrationLocaleAsString()

  Retrieve the blog administration locale as a String

  Specified by:
    `getBlogAdministrationLocaleAsString` in interface `Blog`
  Returns:
    String of blog administration locale

### getBlogAdministrationLocale

    public java.util.Locale getBlogAdministrationLocale()

  Retrieve the blog administration locale as a `Locale` object

  Specified by:
    `getBlogAdministrationLocale` in interface `Blog`
  Returns:
    `Locale` object for blog administration locale

### getBlogLocale

    public java.util.Locale getBlogLocale()

  Retrive a `Locale` object from the blog's language and country settings

  Specified by:
    `getBlogLocale` in interface `Blog`
  Returns:
    `Locale` object from the blog's language and country settings

### getUseEncryptedPasswords

    public java.lang.Boolean getUseEncryptedPasswords()

  Retrieve whether or not MD5 encrypted passwords are used

  Specified by:
    `getUseEncryptedPasswords` in interface `Blog`
  Returns:
    `true` if encrypted passwords are used, `false` otherwise

### getDigestAlgorithm

    public java.lang.String getDigestAlgorithm()

  Retrieve the in-use password digest algorithm

  Specified by:
    `getDigestAlgorithm` in interface `Blog`
  Returns:
    Password digest algorithm

### setBlogName

    public void setBlogName(java.lang.String blogName)

  Set the new name for the blog

  Specified by:
    `setBlogName` in interface `Blog`
  Parameters:
    `blogName` - Blog name

### setBlogDescription

    public void setBlogDescription(java.lang.String blogDescription)

  Set the new description for the blog

  Specified by:
    `setBlogDescription` in interface `Blog`
  Parameters:
    `blogDescription` - Blog description

### setBlogURL

    public void setBlogURL(java.lang.String blogURL)

  Set the new URL for the blog

  Specified by:
    `setBlogURL` in interface `Blog`
  Parameters:
    `blogURL` - Blog URL

### setAdminBlogURL

    public void setAdminBlogURL(java.lang.String blogAdminURL)

  Set the new admin URL for the blog

  Specified by:
    `setAdminBlogURL` in interface `Blog`
  Parameters:
    `blogAdminURL` - Blog admin URL

### setBlogBaseURL

    public void setBlogBaseURL(java.lang.String blogBaseURL)

  Set the new base URL for the blog

  Specified by:
    `setBlogBaseURL` in interface `Blog`
  Parameters:
    `blogBaseURL` - Blog base URL

### setBlogCountry

    public void setBlogCountry(java.lang.String blogCountry)

  Set the new 2 letter country code for the blog

  Specified by:
    `setBlogCountry` in interface `Blog`
  Parameters:
    `blogCountry` - Blog country code

### setBlogLanguage

    public void setBlogLanguage(java.lang.String blogLanguage)

  Set the new 2 letter language code for the blog

  Specified by:
    `setBlogLanguage` in interface `Blog`
  Parameters:
    `blogLanguage` - Blog language code

### setBlogDisplayEntries

    public void setBlogDisplayEntries(int blogDisplayEntries)

  Set the number of entries to display at one time, where -1 indicates to display all entries

  Specified by:
    `setBlogDisplayEntries` in interface `Blog`
  Parameters:
    `blogDisplayEntries` - Blog display entries

### setBlogOwner

    public void setBlogOwner(java.lang.String blogOwner)

  Set the new blog owner name

  Specified by:
    `setBlogOwner` in interface `Blog`
  Parameters:
    `blogOwner` - Blog owner

### setBlogOwnerEmail

    public void setBlogOwnerEmail(java.lang.String blogOwnerEmail)

  Set the new blog owner e-mail address

  Specified by:
    `setBlogOwnerEmail` in interface `Blog`
  Parameters:
    `blogOwnerEmail` - Blog owner e-mail

### setBlogCommentsEnabled

    public void setBlogCommentsEnabled(java.lang.Boolean blogCommentsEnabled)

  Set whether blog comments are enabled

  Specified by:
    `setBlogCommentsEnabled` in interface `Blog`
  Parameters:
    `blogCommentsEnabled` - `true` if comments are enabled, `false` otherwise

### setBlogEmailEnabled

    public void setBlogEmailEnabled(java.lang.Boolean blogEmailEnabled)

  Set whether emails are sent on blog comments and trackbacks

  Specified by:
    `setBlogEmailEnabled` in interface `Blog`
  Parameters:
    `blogEmailEnabled` - `true` if email of comments and trackbacks is enabled, `false` otherwise

### setBlogTrackbacksEnabled

    public void setBlogTrackbacksEnabled(java.lang.Boolean blogTrackbacksEnabled)

  Set whether blog trackbacks are enabled

  Specified by:
    `setBlogTrackbacksEnabled` in interface `Blog`
  Parameters:
    `blogTrackbacksEnabled` - `true` if trackbacks are enabled, `false` otherwise

### setBlogPingbacksEnabled

    public void setBlogPingbacksEnabled(java.lang.Boolean blogPingbacksEnabled)

  Set whether blog pingbacks are enabled

  Specified by:
    `setBlogPingbacksEnabled` in interface `Blog`
  Parameters:
    `blogPingbacksEnabled` - `true` if pingbacks are enabled, `false` otherwise

### setBlogDefaultFlavor

    public void setBlogDefaultFlavor(java.lang.String blogDefaultFlavor)

  Set the new default flavor for this blog

  Specified by:
    `setBlogDefaultFlavor` in interface `Blog`
  Parameters:
    `blogDefaultFlavor` - New default blog flavor

### setLinearNavigationEnabled

    public void setLinearNavigationEnabled(java.lang.Boolean linearNavigationEnabled)

  Set whether or not linear navigation should be enabled

  Specified by:
    `setLinearNavigationEnabled` in interface `Blog`
  Parameters:
    `linearNavigationEnabled` - `true` if linear navigation is enabled, `false` otherwise

### setXmlrpcEnabled

    public void setXmlrpcEnabled(java.lang.Boolean xmlrpcEnabled)

  Set whether or not XML-RPC is enabled

  Specified by:
    `setXmlrpcEnabled` in interface `Blog`
  Parameters:
    `xmlrpcEnabled` - `true` if XML-RPC is enabled, `false` otherwise

### setBlogAdministrationLocale

    public void setBlogAdministrationLocale(java.lang.String blogAdministrationLocale)

  Set the locale used in the administration console

  Specified by:
    `setBlogAdministrationLocale` in interface `Blog`
  Parameters:
    `blogAdministrationLocale` - Locale string of form `language_country_variant`

### setUseEncryptedPasswords

    public void setUseEncryptedPasswords(java.lang.Boolean useEncryptedPasswords)

  Set whether or not MD5 encrypted passwords are used

  Specified by:
    `setUseEncryptedPasswords` in interface `Blog`
  Parameters:
    `useEncryptedPasswords` - `true` if MD5 passwords are used, `false` otherwise

### setBlogAdminURL

    public void setBlogAdminURL(java.lang.String blogAdminURL)

  Set the new admin URL for the blog

  Specified by:
    `setBlogAdminURL` in interface `Blog`
  Parameters:
    `blogAdminURL` - Blog admin URL

### setDigestAlgorithm

    public void setDigestAlgorithm(java.lang.String digestAlgorithm)

  Set the in-use password digest algorithm

  Specified by:
    `setDigestAlgorithm` in interface `Blog`
  Parameters:
    `digestAlgorithm` - Digest algorithm

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  Set a property for the blog

  Specified by:
    `setProperty` in interface `Blog`
  Parameters:
    `name` - Property name
    `value` - Property value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD